Subject: Re: mono monitor fuse
From: [email-masked] (stephen e buggie)
Date: 10 Feb 1998 20:55:19 GMT
Newsgroups: comp.sys.apple2

I dont have specific advice, but I had ONE green Monitor II blow a fuse.
I installed a panel-mounted fuseholder on the back of the plastic casing
so that, in the future, I could replace the fuse without going inside.
The Monitor II casing is roomy so placing the panel mounted fuseholder was
easy.

MEMORY PLUS distributors is selling used Monitor II's for $7.50 each plus
shipping; why not scrap the bad one you have and get a good one?  Platinum
Monitor II's are just $10.00 plus shipping.   I've dealt withMemory Plus
before, and they are reliable and accurate.

Memory Plus's ad is listed under CROW FRED; they are located in Phoenix
AZ.

Steve Buggie
Gallup NM

dave ([email-masked]) wrote:
: Hi

: I have an old green mono monitor for a IIc, and the 1.5a fuse on the
: bottom board keeps blowing on power up. Does anyone have a clue what to
: look for? I am suspecting a suspicious looking resistor nearby.

: Please respond via e-mail: [email-masked]  or  [email-masked]

: Thanks,

: dave